Bug 14349 - selected raid personalities modules should be appended to initrd images
selected raid personalities modules should be appended to initrd images
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-20 20:13 EDT by Arenas Belon, Carlo Marcelo
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-21 11:17:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arenas Belon, Carlo Marcelo 2000-07-20 20:13:18 EDT
when a raid device is build from a group of raid partitions the selected
personalities should be loaded on init using an initrd image, otherwise,
when the system boots and the kernel autodetects the raid partitions an
error would show and the autodetected raid device would be aborted.

for sure, it could be started later from the initscripts, but making it
start on kernel load would make it easier to have a RAID root partition and
has no drawback.

all is needed is to set a variable telling which personalities were
selected on install and running $(mkinitrd --with=raid?) as required.
Comment 1 Erik Troan 2000-07-21 11:17:53 EDT
This should happen automatically -- we've tested RAID1 on root recently and had
it work through
exactly the mechansim you describe. What problem are you actually seeing?
Comment 2 Arenas Belon, Carlo Marcelo 2000-07-31 03:52:38 EDT
works better than i expected, you can get software raid even on scsi
people, you are amazing :)
Comment 3 Arenas Belon, Carlo Marcelo 2000-07-31 05:17:53 EDT
even on SCSI + RAID + root :)

Note You need to log in before you can comment on or make changes to this bug.